from math import *

def Ligne(xA,yA,xB,yB,k):
    d=sqrt((xB-xA)**2+(yB-yA)**2)
    p=k+d**2/4
    if p<0:
        print("C est l'ensemble vide")
    else:
        if abs(p)<10**-15:
            print("C est réduit au point I(a;b) avec a =",(xA+xB)/2,"et b =",(yA+yB)/2)
        else:
            print("C est un cercle de centre I(a;b) avec a =",(xA+xB)/2,"et b =",(yA+yB)/2,"et de rayon",sqrt(p))
    return



